Package org.apache.tools.ant.taskdefs

# Class Definer.Format

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Definer.Format

Enclosing class:
  Definer

    public static class Definer.Format
    extends EnumeratedAttribute

Enumerated type for format attribute

See Also:
  `EnumeratedAttribute`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `PROPERTIES` | Enumerated values
`static int` | `XML` | Enumerated values

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Format()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String[]` | `getValues()` | get the values

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROPERTIES

public static final int PROPERTIES
Enumerated values

See Also:
  Constant Field Values

### XML

public static final int XML
Enumerated values

See Also:
  Constant Field Values

## Constructor Details

### Format

public Format()

## Method Details

### getValues

public java.lang.String[] getValues()
get the values

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array of the allowed values for this attribute.